# Document Concatenator
## Description
Document Concatenator is a Python command-line tool that allows you to concatenate the contents of two text files and 
save the result in an output file. It is useful for quickly and easily combining text documents.

## Features
- Reads two input text files.
- Validates the existence of the input files and the output directory.
- Concatenates the contents of the input files.
- Saves the result in a specified output file or a default file.

## Installation
Make sure you have Python installed on your system. Then, clone this repository:

git clone https://github.com/your-username/document-concatenator.git

cd document-concatenator 

## Usage
You can use the script from the command line. The required arguments are the paths of the two input files and the 
output directory. You can also provide a name for the output file (optional).

## Example Usage
python concatenate.py -i /path/to/first_document.txt -g /path/to/second_document.txt -o /path/to/output_directory 
[-n output_document_name.txt]

## Arguments
- -i or --input1 or input_path_1: Path of the first input file (required).
- -g or --input2 or input_path_2 : Path of the second input file (required).
- -o or --output or output_path : Path of the directory where the output file will be saved (required).
- -n or --doc_name : Name of the output file (optional). If not provided, the output file will be document3.txt.